Package kiyut.sketsa.cookies

## Interface SVGEditorCookie

- All Superinterfaces:
    `org.openide.nodes.Node.Cookie`
  All Known Implementing Classes:
    `SVGEditorSupport`

      public interface SVGEditorCookie
      extends org.openide.nodes.Node.Cookie

  Cookie for SVG Editor
  Author:
    KIYUT

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CanvasTopComponent` | `getCanvasTopComponent()` | Get `CanvasTopComponent` for this object.
    `SVGDataObject` | `getSVGDataObject()` | Return `SVGDataObject` for this object
    `org.openide.awt.UndoRedo` | `getUndoRedo()` | Get `UndoRedo` for this object
    `VectorCanvas` | `getVectorCanvas()` | Get `VectorCanvas` for this object.
    `CanvasTopComponent` | `getVectorCanvasTopComponent()` | Deprecated. replaced with `getCanvasTopComponent()`
    `boolean` | `isOpened()` | Indicates whether the editor `VectorCanvas` is opened.

- - ### Method Detail

    - #### getVectorCanvas

          VectorCanvas getVectorCanvas()

      Get `VectorCanvas` for this object.
      Returns:
        `VectorCanvas` or `null`

    - #### getVectorCanvasTopComponent

          @Deprecated
          CanvasTopComponent getVectorCanvasTopComponent()

      Deprecated.
      replaced with `getCanvasTopComponent()`
      Get `CanvasTopComponent` for this object.
      Returns:
        `CanvasTopComponent` or `null`

    - #### getCanvasTopComponent

          CanvasTopComponent getCanvasTopComponent()

      Get `CanvasTopComponent` for this object.
      Returns:
        `CanvasTopComponent` or `null`

    - #### getUndoRedo

          org.openide.awt.UndoRedo getUndoRedo()

      Get `UndoRedo` for this object
      Returns:
        `UndoRedo`

    - #### isOpened

          boolean isOpened()

      Indicates whether the editor `VectorCanvas` is opened.
      Returns:
        true/false

    - #### getSVGDataObject

          SVGDataObject getSVGDataObject()

      Return `SVGDataObject` for this object
      Returns:
        `SVGDataObject`